> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get Group Members

GET https://api.vomo.org/v1/groups/{id}/members

Returns members of the given group

Reference: https://virtuous.ferndocs.com/reference/volunteer/groups/members-index

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (integer, required) — VOMO Group ID

## Response

### 200

successful operation

- `data` (list of UserResource, optional)
- `links` (GroupsIdMembersGetResponsesContentApplicationJsonSchemaLinks, optional)
- `meta` (GroupsIdMembersGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### UserResource

VOMO User

- `type` (string, optional) — VOMO object type
- `id` (integer, optional) — User's ID
- `first_name` (string, optional) — User's First Name
- `last_name` (string, optional) — User's Last Name
- `full_name` (string, optional) — User's full name
- `email` (string, optional) — User's Email
- `address` (string, optional) — User's Address
- `phone` (string, optional) — User's Phone Number
- `birthday` (string, optional) — The birthday for the user
- `gender` (enum, optional) — The gender for the user
  - Allowed values: `M`, `F`, `N`
- `updated_at` (datetime, optional) — The date and time the user was updated at
- `created_at` (datetime, optional) — The date and time the user was created at
- `user_status` (string, optional) — The User's status
- `membership_status` (string, optional) — The User's membership status for the current org
- `membership_role` (string, optional) — The User's membership role for the current org

### GroupsIdMembersGetResponsesContentApplicationJsonSchemaLinks

- `first` (string, optional) — A link to the first page of results
- `last` (string, optional) — A link to the last page of results
- `prev` (string, optional) — A link to the previous page of results
- `next` (string, optional) — A link to the next page of results

### GroupsIdMembersGetResponsesContentApplicationJsonSchemaMeta

- `current_page` (integer, optional) — The current page
- `from` (integer, optional) — The index of the first result on this page
- `to` (integer, optional) — The index of the last result on this page
- `path` (string, optional) — The base URL
- `per_page` (integer, optional) — The number of results per page
- `total` (integer, optional) — The total number of results

## Examples

**Response**

```json
{
  "data": [
    {
      "type": "user",
      "id": 1,
      "first_name": "John",
      "last_name": "Doe",
      "full_name": "John Doe",
      "email": "person@vomo.org",
      "address": "610 Elm St, McKinney, TX 75069, USA",
      "phone": "1234567890",
      "birthday": "1975-12-01",
      "gender": "M",
      "updated_at": "2016-03-07T07:49:41+00:00",
      "created_at": "2016-03-07T07:49:41+00:00",
      "user_status": "VERIFIED",
      "membership_status": "ACCEPTED",
      "membership_role": "VOLUNTEER"
    }
  ],
  "links": {
    "first": "https://api.vomo.org/v1/groups/1/members?page=4",
    "last": "https://api.vomo.org/v1/groups/1/members?page=4",
    "prev": "null",
    "next": "https://api.vomo.org/v1/groups/1/members?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "to": 15,
    "path": "https://api.vomo.org/v1/groups/1/members",
    "per_page": 15,
    "total": 49
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.vomo.org/v1/groups/1/members"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.vomo.org/v1/groups/1/members';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vomo.org/v1/groups/1/members"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.vomo.org/v1/groups/1/members")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/groups/1/members")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vomo.org/v1/groups/1/members', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.vomo.org/v1/groups/1/members");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vomo.org/v1/groups/1/members")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```